/*
 *
 * happytimer - Alarm clock for the GNOME
 *
 *  @Copyright (C) 2007-2011 JinCheol Kim (shriekout@gmail.com).
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <gtk/gtk.h>

void destroy(GtkWidget *widget, gpointer data);
void display_timer(void);
gboolean on_icon_button_press_event(GtkStatusIcon *icon, GdkEventButton *event, gpointer data);
void display_preferences(GtkWidget *widget, gpointer data);
void display_about_dialog(GtkWidget *widget, gpointer data);
void on_minus_30_button_clicked(GtkWidget *widget, gpointer data);
void on_plus_30_button_clicked(GtkWidget *widget, gpointer data);
void timer_spinbuttons_value_changed(GtkWidget *widget, gpointer data);
void on_start_button_clicked(GtkWidget *widget, gpointer data);
void on_pause_button_clicked(GtkWidget *widget, gpointer data);
void alarm_window_destroy(GtkWidget *widget);
void on_rtsound_checkbutton_toggled(GtkWidget *widget, gpointer data);
void sound_update_preview_cb(GtkFileChooser *fc, gpointer data);
void on_repeat_checkbutton_toggled(GtkWidget *widget, gpointer data);
void on_preview_stop_button_clicked(GtkWidget *widget, gpointer data);
void rtsound_file_set_cb(GtkFileChooser *fc, gpointer data);
void tsound_file_set_cb(GtkFileChooser *fc, gpointer data);
void on_rtplay_togglebutton_toggled(GtkWidget *widget, gpointer data);
void on_tplay_togglebutton_toggled(GtkWidget *widget, gpointer data);
void on_image_chooser_button(GtkWidget *widget, gpointer data);
void on_notify_spinbutton_value_changed(GtkWidget *widget, gpointer data);
void on_preset_comboboxtext_changed(GtkWidget *widget, gpointer data);
void on_add_preset_button_clicked(GtkWidget *widget, gpointer data);
void on_edit_preset_button_clicked(GtkWidget *widget, gpointer data);
void on_remove_preset_button_clicked(GtkWidget *widget, gpointer data);
void stop_sound_cb(GtkWidget *widget, gpointer data);
